package de.dass_it.vanhelsing.gui.items;
public class SDStorageItem extends ItemType implements UserObjectItem{
	private String name;
	private String workingdirectory;
	private String piddirectory;
	private String heartbeatinterval;
	private String clientconnectwait;
	private String maximumconcurrentjobs;
	private String sdaddresses;
	private String sdport;
	private String sdaddress;

	public SDStorageItem() {}
	public SDStorageItem(String name, String workingDirectory, String pidDirectory) {
		setName(name);
		setWorkingdirectory(workingdirectory);
		setPiddirectory(piddirectory);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getWorkingdirectory() {
		return workingdirectory;
	}
	public void setWorkingdirectory(String workingdirectory) {
		this.workingdirectory = workingdirectory;
	}
	public String getPiddirectory() {
		return piddirectory;
	}
	public void setPiddirectory(String piddirectory) {
		this.piddirectory = piddirectory;
	}
	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}
	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}
	public String getClientconnectwait() {
		return clientconnectwait;
	}
	public void setClientconnectwait(String clientconnectwait) {
		this.clientconnectwait = clientconnectwait;
	}
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}
	public String getSdaddresses() {
		return sdaddresses;
	}
	public void setSdaddresses(String sdaddresses) {
		this.sdaddresses = sdaddresses;
	}
	public String getSdport() {
		return sdport;
	}
	public void setSdport(String sdport) {
		this.sdport = sdport;
	}
	public String getSdaddress() {
		return sdaddress;
	}
	public void setSdaddress(String sdaddress) {
		this.sdaddress = sdaddress;
	}

	
}
